# Glib::Variant< gint32 > Class Template Reference
[Variant Datatype]

Specialization of Glib::Variant containing a gint32 type. More...

`#include <glibmm/variant_basictypes.h>`

Inheritance diagram for Glib::Variant< gint32 >:
[legend]

List of all members.

## Public Types

typedef gint32 | CType

## Public Member Functions

| Variant ()
| Default constructor.
| Variant (GVariant* castitem, bool take_a_reference=false)
| GVariant constructor.
gint32 | get () const
| Gets the value of the Glib::Variant<gint32>.

## Static Public Member Functions

static const VariantType& | variant_type ()
| Gets the Glib::VariantType.
static Variant< gint32 > | create (gint32 data)
| Creates a new Glib::Variant<gint32>.

## Detailed Description

### template <>
class Glib::Variant< gint32 >

Specialization of Glib::Variant containing a gint32 type.

Since glibmm 2.26:

## Member Typedef Documentation

typedef gint32 Glib::Variant< gint32 >::CType

## Constructor & Destructor Documentation

Glib::Variant< gint32 >::Variant | ( | ) | `[inline]`

Default constructor.

Glib::Variant< gint32 >::Variant | ( | GVariant< gint32 > * | castitem,
|  | bool | take_a_reference = `false`
| ) |  | `[inline, explicit]`

GVariant constructor.

Parameters:

  castitem | The GVariant to wrap.

## Member Function Documentation

static Variant<gint32> Glib::Variant< gint32 >::create | ( | gint32 | data ) | `[static]`

Creates a new Glib::Variant<gint32>.

Parameters:

  data | The value of the new Glib::Variant<gint32>.

Returns:
  The new Glib::Variant<gint32>.

gint32 Glib::Variant< gint32 >::get | ( | ) | const

Gets the value of the Glib::Variant<gint32>.

Returns:
  The gint32 value of the Glib::Variant<gint32>.

static const VariantType& Glib::Variant< gint32 >::variant_type | ( | ) | `[static]`

Gets the Glib::VariantType.

Returns:
  The Glib::VariantType.